#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x8B,0xCF,0x18,0x54,0xB4,0x31,0x60,0x70,0xD4,0x28,0x19,0x32,
		0x6C,0x09,0x07,0xAE,0x80,0xAF,0x29,0x5C,0x60,0xB6,0x74,0x57,
		0x3A,0x31,0xF7,0x80,0x66,0x29,0xB5,0xBB,0x22,0x9F,0x4D,0xE0,
		0x5B,0xE4,0xF9,0x7B,0x66,0x6E,0x41,0x5F,0x0C,0x0F,0x0E,0x6B,
		0xCF,0x33,0x42,0xF7,0xDF,0xC3,0x09,0xC1,0xBB,0x17,0x51,0xA0,
		0xA6,0x14,0x96,0x9F,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
